Bug 1613304 - hammer subnet create do not honor the default organization and location
Summary: hammer subnet create do not honor the default organization and location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Networking
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Aditi Puntambekar
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-07 11:44 UTC by Ranjan Kumar
Modified: 2019-10-07 17:13 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:52 UTC
Foreman Issue Tracker 24642 None None None 2018-08-16 14:27:53 UTC

Description Ranjan Kumar 2018-08-07 11:44:27 UTC
Description of problem: hammer subnet create doesn't set the default organization/location. If this is expected behavior this should be documented in a hammer.

Version-Release number of selected component (if applicable): 6.3.2

How reproducible: Always

# hammer organization list 
---|--------|--------|-------------|--------|------------
ID | TITLE  | NAME   | DESCRIPTION | LABEL  | DESCRIPTION
---|--------|--------|-------------|--------|------------
1  | Redhat | Redhat |             | Redhat |            
---|--------|--------|-------------|--------|------------

Steps to Reproduce:
1. Create Default for an organization
  # hammer defaults add --param-name organization_id --param-value 1
  # hammer defaults list
    ----------------|------
    PARAMETER       | VALUE
    ----------------|------
    organization_id | 1    
    ----------------|------

2. Create Subnet
  # hammer subnet create --name test --network 192.168.22.0 --mask 255.255.255.0
    Subnet created

3. Get Subnet Info, here we can see that organization is not set for the subnet
  # hammer subnet info --name test 
    Id:            20
    Name:          test
    Network:       192.168.22.0
    Mask:          255.255.255.0
    VLAN ID:       
    Priority:      
    DNS:           
    Primary DNS:   
    Secondary DNS: 
    TFTP:          
    DHCP:          
    IPAM:          None
    Gateway:       
    From:          
    To:            
    Domains:  

Actual results: Default organization is not assigned to subnet

Expected results: Default organization should be set automatically to the subnet when the subnet is created. 

Note** If the current behavior is expected then it should be added into the hammer documentation.

Comment 2 Ondřej Pražák 2018-08-16 14:27:49 UTC
Created redmine issue http://projects.theforeman.org/issues/24642 from this bug

Comment 3 Ondřej Pražák 2018-09-10 10:15:52 UTC
This bug is already fixed in 6.4, could QE verify?

Comment 4 Jameer Pathan 2018-10-30 09:20:53 UTC
verified:

@satellite 6.5.0 snap 1

steps:

1. hammer defaults add --param-name organization_id --param-value <org_id>

2. hammer subnet create --name test --network 192.168.22.0 --mask 255.255.255.0

3. hammer subnet info --name test

observation:

Default organization is set automatically to the subnet when the subnet is created.

Comment 8 errata-xmlrpc 2019-05-14 12:37:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.